cdac.medinfo.sdk.hl7282.exceptions

## Class SegmentMissingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cdac.medinfo.sdk.hl7282.utils.HL7Exception
        - - cdac.medinfo.sdk.hl7282.exceptions.SegmentMissingException

- All Implemented Interfaces:
    java.io.Serializable

      public class SegmentMissingException
      extends HL7Exception

  Thrown when Required segment is missing in MEssage.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SegmentMissingException()` Constructs a new Segment Missing Exception
    `SegmentMissingException(java.lang.String strMessage)` Constructs a new Segment Missing Exception with the specified detail message.
    `SegmentMissingException(java.lang.String strMessage, java.lang.Throwable cause)` Constructs a new Segment Missing Exception with the specified detail message and cause
    `SegmentMissingException(java.lang.Throwable cause)` Constructs a new Segment Missing Exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.utils.HL7Exception

      `getErrorCode, getMessage, setErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentMissingException

          public SegmentMissingException()

      Constructs a new Segment Missing Exception

    - #### SegmentMissingException

          public SegmentMissingException(java.lang.String strMessage,
                                 java.lang.Throwable cause)

      Constructs a new Segment Missing Exception with the specified detail message and cause
      Parameters:
        `strMessage` - - the detail message
        `cause` - - the cause

    - #### SegmentMissingException

          public SegmentMissingException(java.lang.String strMessage)

      Constructs a new Segment Missing Exception with the specified detail message.
      Parameters:
        `strMessage` - - the detail message.

    - #### SegmentMissingException

          public SegmentMissingException(java.lang.Throwable cause)

      Constructs a new Segment Missing Exception with the specified cause. This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - - the cause (A null value is permitted, and indicates that the cause is nonexistent or unknown.)